import PropTypes from "prop-types";
export type AvatarSizes = "xs" | "sm" | "md" | "lg" | "xl";
export interface AvatarProps {
    /** Determine the size of the avatar */
    size?: AvatarSizes;
    /** The image source */
    src?: string;
    /** An alternative to setting the src attribute. */
    srcSet?: string;
    /**The name of the user. Used as an alt attribute, or used to generate initials in the absence of an image. */
    name?: string;
}
/**
 * Display a profile image to represent a user. Initials can be shown as a fallback
 */
export declare const Avatar: {
    ({ src, name, size, srcSet, ...other }: AvatarProps): import("@emotion/react/jsx-runtime").JSX.Element;
    propTypes: {
        src: PropTypes.Requireable<string>;
        name: PropTypes.Requireable<string>;
        size: PropTypes.Requireable<AvatarSizes>;
        srcSet: PropTypes.Requireable<string>;
    };
};
