import * as React from "react";
import PropTypes from "prop-types";
interface BreadcrumbsProps extends React.HTMLAttributes<HTMLDivElement> {
    size?: "md" | "lg";
    /** A list of BreadcrumbItem children */
    children: React.ReactElement<BreadcrumbItemProps> | React.ReactElement<BreadcrumbItemProps>[];
    overflowX?: number;
}
/**
 * Breadcrumbs are useful to orient the user on your site,
 * especially when working with hierarchies of content.
 */
export declare const Breadcrumbs: {
    ({ children, size, overflowX, ...other }: BreadcrumbsProps): import("@emotion/react/jsx-runtime").JSX.Element;
    propTypes: {
        size: PropTypes.Requireable<string>;
        overflowX: PropTypes.Requireable<number>;
    };
};
interface BreadcrumbItemProps extends React.LiHTMLAttributes<HTMLLIElement> {
    inverted?: boolean;
    size?: "md" | "lg";
}
/**
 *  Each item in a list of breadcrumbs.
 */
export declare const BreadcrumbItem: ({ children, size, ...other }: BreadcrumbItemProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
