/** @jsxImportSource @emotion/react */
import { SerializedStyles } from "@emotion/react";
import * as React from "react";
export declare function useCollapse(defaultShow?: boolean, press?: boolean): {
    show: boolean;
    setShow: React.Dispatch<React.SetStateAction<boolean>>;
    id: string;
    buttonProps: {
        onClick: () => void;
        onPress: () => void;
        "aria-controls": string;
        "aria-expanded": boolean;
    };
    collapseProps: {
        id: string;
        show: boolean;
    };
};
interface AnimateCollapseProps extends React.HTMLProps<HTMLDivElement> {
    /** A unique id required for accessibility purposes. */
    id: string;
    /** Controls whether the children should be visible */
    show: boolean;
    /** Any element that you want to reveal */
    children: React.ReactNode;
    divStyle?: SerializedStyles;
}
/**
 * Hide and reveal content with an animation. Supports dynamic
 * heights.
 */
export declare const AnimateCollapse: ({ children, id, show, divStyle, ...other }: (AnimateCollapseProps & React.HTMLAttributes<HTMLDivElement>)) => import("@emotion/react/jsx-runtime").JSX.Element;
interface CollapseProps extends React.HTMLAttributes<HTMLDivElement> {
    /** A unique id required for accessibility purposes. */
    id: string;
    /** Controls whether the children should be visible */
    show: boolean;
    /** Any element that you want to reveal */
    children: React.ReactNode;
    divStyle?: SerializedStyles;
    noAnimated?: boolean;
}
/**
 * Hide and reveal content with an animation. Supports dynamic heights.
 * 针对两种方式取舍display:'none', 和 show&& (<div>{children}</div>)比较，还是逻辑隐藏更好，若遇到耗时子组件时表现更好。
 */
export declare const Collapse: ({ children, id, show, divStyle, noAnimated, ...other }: CollapseProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export declare function usePrevious<T>(value: T): T;
interface LazyToggleViewerProps {
    show: boolean;
    children?: React.ReactNode;
}
export declare const LazyToggleViewer: ({ show, children, ...other }: LazyToggleViewerProps) => import("@emotion/react/jsx-runtime").JSX.Element;
interface TestRenderLoadProps {
    loop?: number;
    num?: number;
    txt?: string;
}
export declare const TestRenderLoad: ({ loop, num, txt, ...other }: TestRenderLoadProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
