import * as React from "react";
import { CSSProperties } from "react";
interface DialogOptions {
    initialOpen?: boolean;
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    modal?: boolean;
}
export declare function useDialog({ initialOpen, modal, open: controlledOpen, onOpenChange: setControlledOpen }?: DialogOptions): {
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    modal: boolean;
    placement: import("@floating-ui/utils").Placement;
    strategy: import("@floating-ui/utils").Strategy;
    middlewareData: import("@floating-ui/core").MiddlewareData;
    x: number;
    y: number;
    isPositioned: boolean;
    update: () => void;
    floatingStyles: React.CSSProperties;
    refs: {
        reference: React.MutableRefObject<import("@floating-ui/react-dom").ReferenceType>;
        floating: React.MutableRefObject<HTMLElement>;
        setReference: (node: import("@floating-ui/react-dom").ReferenceType) => void;
        setFloating: (node: HTMLElement) => void;
    } & import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: {
        reference: import("@floating-ui/react-dom").ReferenceType;
        floating: HTMLElement;
    } & import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    context: {
        x: number;
        y: number;
        placement: import("@floating-ui/utils").Placement;
        strategy: import("@floating-ui/utils").Strategy;
        middlewareData: import("@floating-ui/core").MiddlewareData;
        isPositioned: boolean;
        update: () => void;
        floatingStyles: React.CSSProperties;
        open: boolean;
        onOpenChange: (open: boolean, event?: Event, reason?: import("@floating-ui/react").OpenChangeReason) => void;
        events: import("@floating-ui/react").FloatingEvents;
        dataRef: React.MutableRefObject<import("@floating-ui/react").ContextData>;
        nodeId: string;
        floatingId: string;
        refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
        elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    };
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: Omit<React.HTMLProps<HTMLElement>, "active" | "selected"> & {
        active?: boolean;
        selected?: boolean;
    }) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare const useDialogContext: () => {
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    modal: boolean;
    placement: import("@floating-ui/utils").Placement;
    strategy: import("@floating-ui/utils").Strategy;
    middlewareData: import("@floating-ui/core").MiddlewareData;
    x: number;
    y: number;
    isPositioned: boolean;
    update: () => void;
    floatingStyles: React.CSSProperties;
    refs: {
        reference: React.MutableRefObject<import("@floating-ui/react-dom").ReferenceType>;
        floating: React.MutableRefObject<HTMLElement>;
        setReference: (node: import("@floating-ui/react-dom").ReferenceType) => void;
        setFloating: (node: HTMLElement) => void;
    } & import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: {
        reference: import("@floating-ui/react-dom").ReferenceType;
        floating: HTMLElement;
    } & import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    context: {
        x: number;
        y: number;
        placement: import("@floating-ui/utils").Placement;
        strategy: import("@floating-ui/utils").Strategy;
        middlewareData: import("@floating-ui/core").MiddlewareData;
        isPositioned: boolean;
        update: () => void;
        floatingStyles: React.CSSProperties;
        open: boolean;
        onOpenChange: (open: boolean, event?: Event, reason?: import("@floating-ui/react").OpenChangeReason) => void;
        events: import("@floating-ui/react").FloatingEvents;
        dataRef: React.MutableRefObject<import("@floating-ui/react").ContextData>;
        nodeId: string;
        floatingId: string;
        refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
        elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    };
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: Omit<React.HTMLProps<HTMLElement>, "active" | "selected"> & {
        active?: boolean;
        selected?: boolean;
    }) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
} & {
    setLabelId: React.Dispatch<React.SetStateAction<string | undefined>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string | undefined>>;
};
export declare function Dialog({ children, ...options }: {
    children: React.ReactNode;
} & DialogOptions): import("@emotion/react/jsx-runtime").JSX.Element;
interface DialogTriggerProps {
    children: React.ReactElement<any>;
    asChild?: boolean;
}
export declare const DialogTrigger: ({ children, asChild, ref, ...props }: React.HTMLProps<HTMLElement> & DialogTriggerProps) => import("@emotion/react/jsx-runtime").JSX.Element;
interface OverlayOptions {
    layStyle?: CSSProperties;
}
export declare const DialogContent: ({ layStyle, ref, ...props }: React.HTMLProps<HTMLDivElement> & OverlayOptions) => import("@emotion/react/jsx-runtime").JSX.Element;
interface DialogHeadingOptions {
    asChild?: boolean;
    closeStyle?: CSSProperties;
}
export declare const DialogHeading: ({ children, asChild, closeStyle, ref, ...props }: React.HTMLProps<HTMLHeadingElement> & DialogHeadingOptions) => import("@emotion/react/jsx-runtime").JSX.Element;
export declare const DialogDescription: ({ children, ref, ...props }: React.HTMLProps<HTMLParagraphElement>) => import("@emotion/react/jsx-runtime").JSX.Element;
export declare const DialogClose: ({ children, ref, ...props }: (React.HTMLProps<HTMLButtonElement> & React.ButtonHTMLAttributes<HTMLButtonElement>)) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
