import * as React from "react";
import PropTypes from "prop-types";
export interface EmbedProps extends React.HTMLAttributes<Element> {
    /** The relative width of the embed container */
    width: number;
    /** The relative height of the embed container */
    height: number;
}
export declare function getEmbedStyles(width: number, height: number): import("@emotion/react").SerializedStyles;
/**
 * The Embed component maintains the provided aspect ratio determined
 * by the width and height props. It's useful for avoiding content shifting on image
 * loading.
 */
export declare const Embed: {
    ({ width, height, ...other }: EmbedProps): import("@emotion/react/jsx-runtime").JSX.Element;
    propTypes: {
        width: PropTypes.Requireable<number>;
        height: PropTypes.Requireable<number>;
    };
};
