import * as React from "react";
import { ButtonProps } from "./Button";
import PropTypes from "prop-types";
export interface IconButtonProps extends Partial<ButtonProps> {
    /** A label required for accessibility  */
    label: string;
    /** The name of the icon you wish to render */
    icon?: React.ReactNode;
    /** Change the colour */
    color?: string;
    children?: React.ReactNode;
}
/**
 * A component which composes Button and Icon to provide
 * interactive icon elements.
 */
export declare const IconButton: {
    ({ label, size, icon, onPress, color, ...other }: IconButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
/**
 * 旧版本 可传递 ref
 * //无法自动推断onPress(e:)类型 Parameter 'e' implicitly has an 'any' type ; onPress:(e: any)=>{e!.};
 * 必须加上:  : RReact.FunctionComponent<IconButtonProps> =  定义体才行啊。
 */
export declare const IconRefButton: ({ label, size, icon, onPress, color, ref, ...other }: IconButtonProps) => import("@emotion/react/jsx-runtime").JSX.Element;
interface CloseButtonProps extends Partial<ButtonProps> {
    /** An optional label for the close button */
    label?: string;
    /** Change the colour */
    color?: string;
}
export declare const CloseButton: {
    ({ label, ...other }: CloseButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
    propTypes: {
        label: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        variant: PropTypes.Requireable<string>;
        size: PropTypes.Requireable<string>;
    };
};
export {};
