import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useTheme } from "../../Theme/Providers";
export const IconBattery = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("rect", { x: "1", y: "6", width: "18", height: "12", rx: "2", ry: "2" }), _jsx("line", { x1: "23", y1: "13", x2: "23", y2: "11" })] }));
};
//# sourceMappingURL=IconBattery.js.map