import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useTheme } from "../../Theme/Providers";
export const IconCircle = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsx("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: _jsx("circle", { cx: "12", cy: "12", r: "10" }) }));
};
//# sourceMappingURL=IconCircle.js.map