import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useTheme } from "../../Theme/Providers";
export const IconMinus = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsx("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: _jsx("line", { x1: "5", y1: "12", x2: "19", y2: "12" }) }));
};
//# sourceMappingURL=IconMinus.js.map