import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useTheme } from "../../Theme/Providers";
export const IconNavigation2 = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsx("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: _jsx("polygon", { points: "12 2 19 21 12 17 5 21 12 2" }) }));
};
//# sourceMappingURL=IconNavigation2.js.map