import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useTheme } from "../../Theme/Providers";
export const IconPieChart = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("path", { d: "M21.21 15.89A10 10 0 1 1 8 2.83" }), _jsx("path", { d: "M22 12A10 10 0 0 0 12 2v10z" })] }));
};
//# sourceMappingURL=IconPieChart.js.map