/** @jsxImportSource @emotion/react */
import * as React from "react";
import PropTypes from "prop-types";
export type LayerElevations = "xs" | "sm" | "md" | "lg" | "xl";
interface LayerProps extends React.HTMLProps<HTMLDivElement> {
    /** The size of the shadow to use */
    elevation?: LayerElevations;
    /** The contents of the layer */
    children: React.ReactNode;
}
/**
 * 实际就是div有周边边角，圆弧突出的div
 */
export declare const Layer: {
    ({ elevation, children, ...other }: LayerProps & React.ClassAttributes<HTMLDivElement>): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
/**
 * 旧版本，可注入ref
 */
export declare const LayerRefComp: ({ elevation, children, ref, ...other }: LayerProps) => import("@emotion/react/jsx-runtime").JSX.Element;
interface LayerLoadingProps extends React.HTMLAttributes<HTMLDivElement> {
    /** Whether the layer is currently loading */
    loading: boolean;
    /** An optional label to display below the loading spinner */
    label?: string;
}
/**淘汰掉了！    烦劳请直接用 Spinner 来替换 LayerLoading 功能；
 * */
export declare const LayerLoading: {
    ({ loading, label, ...other }: LayerLoadingProps): import("@emotion/react/jsx-runtime").JSX.Element;
    propTypes: {
        loading: PropTypes.Validator<boolean>;
        label: PropTypes.Requireable<string>;
    };
};
export {};
